Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017804
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorN/A2011-06-28 09:412011-07-28 09:44
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branch2.50Fixed in SCM revisionfd2b932bf2b7
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017804: Invoice post (dated on prepayment date if any)

DescriptionUses previously created payment (in/out) for a business partner when
completing an invoice.

It creates a new payment associated with the invoice with:
- Amount = 0
- Generated Credit = 0
- Used Credit = Invoice's grand total amount
The previously payment used-credit-amount is updated to the invoice's
grand total amount.

For finding the credit payment is mandatory that the generated credit amount is
equal to the invoice's grand total amount and the used credit is 0. So the whole
credit payment is used to pay the invoice.
Steps To ReproduceSee description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0017803 closedvmromanos Invoice post (dated on prepayment date if any) 

-  Notes
(0038548)
vmromanos (developer)
2011-06-28 09:47

https://code.openbravo.com/erp/pmods/org.openbravo.advpaymentmngt/rev/fd2b932bf2b7 [^]
(0039430)
psanjuan (manager)
2011-07-27 10:56

fixed and working

- Issue History
Date Modified Username Field Change
2011-06-28 09:41 vmromanos Type feature request => backport
2011-06-28 09:41 vmromanos fix_in_branch => 2.50
2011-06-28 09:44 vmromanos Project Openbravo ERP => Modules
2011-06-28 09:46 vmromanos Project Modules => Openbravo ERP
2011-06-28 09:47 vmromanos Note Added: 0038548
2011-06-28 09:47 vmromanos Status scheduled => resolved
2011-06-28 09:47 vmromanos Fixed in SCM revision => fd2b932bf2b7
2011-06-28 09:47 vmromanos Resolution open => fixed
2011-07-27 10:56 psanjuan Note Added: 0039430
2011-07-27 10:56 psanjuan Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker